%define tarball xf86-video-nouveau
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir %{moduledir}/drivers

Summary:       Xorg X11 nouveau video driver for NVIDIA graphics chipsets
Name:          xorg-x11-drv-nouveau
Version:       1.0.17
Release:       6%{?dist}
URL:           http://www.x.org
License:       MIT
Source0:       http://xorg.freedesktop.org/archive/individual/driver/xf86-video-nouveau-%{version}.tar.bz2

Patch0001:     fixup-driver-for-new-X-server-ABI.patch
Patch3000:     remove-sarea.h.patch

BuildRequires: make libtool automake autoconf
BuildRequires: xorg-x11-server-devel >= 1.14.2-8
BuildRequires: libdrm-devel >= 2.4.24-0.1.20110106
BuildRequires: mesa-libGL-devel
BuildRequires: systemd-devel
Requires:      Xorg %(xserver-sdk-abi-requires ansic)
Requires:      Xorg %(xserver-sdk-abi-requires videodrv)
Requires:      libdrm >= 2.4.33-0.1

%description 
The nouveau is an Xorg driver for NVIDIA video cards. The driver
supports 2D acceleration and provides support for the following
framebuffer depths: (15,) 16  and 24. TrueColor visuals are
supported for these depths.

%prep
%autosetup -n xf86-video-nouveau-%{version} -p1

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -regex ".*\.la$" -delete

%files
%{driverdir}/nouveau_drv.so
%{_mandir}/man4/nouveau.4*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.17-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.17-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.17-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.17-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.17-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Oct 10 2022 ZoeDong <zoedong@tencent.com> - 1.0.17-1
- Initial build

